# Class GeneStats

java.lang.Object
org.snpeff.geneSets.GeneStats

public class GeneStats extends Object
Some statistics about a gene

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`GeneStats()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Gene gene)`
`void`
`add(Gene gene, boolean useGeneId)`
Add a gene, update statistics
`String`
`title()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GeneStats

public GeneStats()

## Method Details

### add

public void add(Gene gene)

### add

public void add(Gene gene, boolean useGeneId)
Add a gene, update statistics

Parameters:
  `gene` -

### title

public String title()

### toString

public String toString()

Overrides:
  `toString` in class `Object`